/*  disasmTCC730, decode TCC730 (CalmRISC16 / MAC2424) machine code
         to assembly mnemonics.
    file: util.h, function prototypes for util.c

    Copyright (C) 2004  Michael R. Donat <michael@donat.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef utilH
#define utilH

u32 lu32( u8* src );
u32 bu32( u8* src );
u16 lu16( u8* src );
u16 bu16( u8* src );
u32 chksum32( u8* src, u32 len );
int strrpos( char* str, const char c );
char* cstr( char* dest, u8* src, u32 len );
int loadFile( char* filename, u8 **buf );
int writeFile( char* filename, u8* buffer, u32 length );

#endif
